﻿using UnityEngine;

namespace Overdash.Levels.Modifiers
{
    public class SpeedUp : IRoundModifier
    {
        public string label => "Speed Up";
        
        private float standardFixedDelta;

        public void ApplyModifier()
        {
            standardFixedDelta = Time.fixedDeltaTime;
            Time.timeScale = 2;
            Time.fixedDeltaTime *= Time.timeScale;
        }

        public void RemoveModifier()
        {
            Time.timeScale = 1;
            Time.fixedDeltaTime = standardFixedDelta;
        } 
    }
}