﻿using UnityEngine;

namespace Overdash.Levels.Modifiers
{
    public class LowGravity : IRoundModifier
    {
        public string label => "Low Gravity";
        
        private Vector2 standardGravity;
        
        public void ApplyModifier()
        { 
            standardGravity = Physics2D.gravity;
            Physics2D.gravity = standardGravity / 2.5f;
        }
        public void RemoveModifier() => Physics2D.gravity = standardGravity;
    }
}