﻿using UnityEngine;

namespace Overdash.Levels.Modifiers
{
    public class SlowMo : IRoundModifier
    {
        public string label => "Slow Mo";
        
        private float standardFixedDelta;

        public void ApplyModifier()
        {
            standardFixedDelta = Time.fixedDeltaTime;
            Time.timeScale = 0.5f;
            Time.fixedDeltaTime *= Time.timeScale;
        }

        public void RemoveModifier()
        {
            Time.timeScale = 1;
            Time.fixedDeltaTime = standardFixedDelta;
        } 
    }
}