using UnityEngine;
using UnityEngine.SceneManagement;

namespace Overdash.UI
{
    public class MainMenuFunctions : MonoBehaviour
    {
        public static void PlayGame() => SceneManager.LoadSceneAsync("Main");

        public static void ExitGame()
        {
            #if UNITY_EDITOR
                UnityEditor.EditorApplication.isPlaying = false;
            #else
                Application.Quit();
            #endif
        }
    }
}
